Loading...
Searching...
No Matches
mem Struct Reference

## Data Fields

mem_size_t | next
mem_size_t | prev
u8_t | used

## Detailed Description

The heap is made up as a list of structs of this type. This does not have to be aligned since for getting its size, we only use the macro SIZEOF_STRUCT_MEM, which automatically aligns.

## Field Documentation

## next

mem_size_t mem::next

index (-> ram[next]) of the next struct

## prev

mem_size_t mem::prev

index (-> ram[prev]) of the previous struct

## used

u8_t mem::used

1: this area is used; 0: this area is unused

The documentation for this struct was generated from the following file:

- src/core/mem.c